# Class NavigationManager

Manages navigation and menus tabs within the setting menu.

- Defined in src/ui/settings/navigationMenu.ts:14

#####
Index

### Constructors

constructor

### Properties

labels
modes
navigationMenus
selectedMode
instance

### Methods

navigate
reset
updateIcons
updateNavigationMenus
getInstance

## Constructors

### constructor

- new NavigationManager(): NavigationManager

- Creates an instance of NavigationManager. To create a new tab in the menu, add the mode to the modes array and the label to the labels array. and instantiate a new NavigationMenu instance in your handler like: this.navigationContainer = new NavigationMenu(this.scene, 0, 0);

  #### Returns NavigationManager

  - Defined in src/ui/settings/navigationMenu.ts:27

## Properties

### labels

labels: string[]

- Defined in src/ui/settings/navigationMenu.ts:19

### modes

modes: Mode []

- Defined in src/ui/settings/navigationMenu.ts:16

### navigationMenus

navigationMenus: default [] = ...

- Defined in src/ui/settings/navigationMenu.ts:18

### selectedMode

selectedMode: Mode = Mode.SETTINGS

- Defined in src/ui/settings/navigationMenu.ts:17

### `Static` `Private` instance

instance: NavigationManager

- Defined in src/ui/settings/navigationMenu.ts:15

## Methods

### navigate

- navigate(scene, direction): void

- Navigates modes based on given direction

  #### Parameters

  - scene: any

    The current BattleScene instance

  - direction: any

    LEFT or RIGHT

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:59

### reset

- reset(): void

- #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:38

### updateIcons

- updateIcons(): void

- Updates icons for all navigation menus.

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:86

### updateNavigationMenus

- updateNavigationMenus(): void

- Updates all navigation menus.

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:77

### `Static` getInstance

- getInstance(): NavigationManager

- Gets the singleton instance of the NavigationManager.

  #### Returns NavigationManager

  The singleton instance of NavigationManager.

  - Defined in src/ui/settings/navigationMenu.ts:47